from AccessControl import ModuleSecurityInfo, allow_module
from zLOG import LOG, PROBLEM

from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore.CMFCorePermissions import setDefaultRoles, AddPortalContent
from Products.CMFCore.utils import ContentInit

from Products.Archetypes.public import process_types, listTypes

from config import *

__all__ = ("","")

registerDirectory(SKINS_DIR, GLOBALS)

def initialize(context):
   "initialize the zope product"

   from content import *

   content_types, constructors, ftis = process_types(
         listTypes(PROJECTNAME),
         PROJECTNAME
   )

   ContentInit(
         PROJECTNAME + ' Content',
         content_types      = content_types,
         permission         = AddPortalContent,
         extra_constructors = constructors,
         fti                = ftis,
   ).initialize(context)
