## Script (Python) "buildRegistryUrl"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##

from Products.PythonScripts.standard import urlencode

baseurl = context.portal_properties["ecampaigning_properties"].online_registry

data = {
   "title": context.Title(),
   "description": context.Description(),
   "url": context.absolute_url(),
   "organiser": context.Publisher(),
   "language": context.Language(),
   "geo": '+'.join(context.getCoverage()),
   "classifiers": context.getClassifiers(),
   "begins": context.getEffectiveDate(),
   "ends": context.getExpirationDate()
}

return "%s?%s" % (baseurl, urlencode(data))
