## Script (Python) "checkIncoming"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title= sets origin_url & entry_url in session
##

# originally spec'd in #24

# note that this script is run for EVERY REQUEST

request = container.REQUEST
RESPONSE =  request.RESPONSE

session = request["SESSION"]

ignored_suffixes = ("css",".js","_js","ico","gif","jpg","jpeg","png","pdf")
ignored_uas = ("google", "msn", "yahoo")

if request["ACTUAL_URL"][-3:] in ignored_suffixes:
   return

for ua in ignored_uas:
   if ua in request["HTTP_USER_AGENT"]:
      return

# Check for origin url
if "origin_url" not in session.keys():
   session["origin_url"]= request["HTTP_REFERER"]
   
# Check for entry url - note first loaded file may be gif/js/css...
if "entry_url" not in session.keys():
    if request.QUERY_STRING:
       session["entry_url"] = "".join((request.ACTUAL_URL,'?',request.QUERY_STRING))
    else:
       session["entry_url"] = request.ACTUAL_URL

