## Script (Python) "configure_multistep_emailsubscription01"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title= configure action as a Multi-step Email Subscription > Personal Details
##

from Products.eCampaigning.config import LAYOUTS

# EDITION CONFIGURATION
context.setAction_message_modifiable(False)
context.setThankyouemail_includemessage(False)

# SIGNUP STEP
step_signup = context.addStep("signup", "Email Subscribe Form")
step_signup.setStep_layout("onecolumn")
step_signup.setStep_submitlabel("join")
step_signup.setStep_validators("stepvalidate_standard")
step_signup.setStep_tasks(("steptask_storeform","steptask_storetrackinginfo","steptask_sendthankyouemail"))
step_signup.build_layout(LAYOUTS["email_signup"])
   
# PERSONAL DETAILS COLLECTION STEP
step_address = context.addStep("personaldetails", "Personal details form")
step_address.setStep_submitlabel("update")
step_address.setStep_validators("stepvalidate_standard")
step_address.setStep_tasks("steptask_storeform")
step_address.setStep_layout("addr_onecol")
step_address.build_layout(LAYOUTS["name_address_collection"])
   
# THANK-YOU STEP
step_thanks = context.addStep("thankyou", "Thank-you page")
step_thanks.setStep_layout("onecolumn")
step_thanks.build_layout(LAYOUTS["thanks_page"])

