## Script (Python) "configure_multistep_letter01"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title= configure action as a Multi-step e-Letter > Address
##

from Products.eCampaigning.config import LAYOUTS
  
# EDITION CONFIGURATION
context.setAction_message_modifiable(True)
context.setThankyouemail_includemessage(True)

# SIGNUP STEP
step_signup = context.addStep("signup", "Letter Action Form")
step_signup.setStep_layout("twocolumn")
step_signup.setStep_submitlabel("send")
step_signup.setStep_validators("stepvalidate_standard")
step_signup.setStep_tasks(("steptask_storeform","steptask_storetrackinginfo","steptask_sendthankyouemail","steptask_emailtargets"))
step_signup.build_layout(LAYOUTS["basic_signup"])  
   
# ADDRESS COLLECTION STEP
step_address = context.addStep("addresscollection", "Address collection form")
step_address.setStep_submitlabel("update")
step_address.setStep_validators("stepvalidate_standard")
step_address.setStep_tasks("steptask_storeform")
step_address.setStep_layout("addr_onecol")
step_address.build_layout(LAYOUTS["address_collection"])

# THANK-YOU STEP
step_thanks = context.addStep("thankyou", "Thank-you page")
step_thanks.setStep_layout("onecolumn")
step_thanks.build_layout(LAYOUTS["thanks_page"])

