## Script (Python) "configure_smartstep_petition01"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title= configure action as a Smart-step e-Petition > Optin/Address
##

from Products.eCampaigning.config import LAYOUTS

# EDITION CONFIGURATION
context.setAction_message_modifiable(False)
context.setThankyouemail_includemessage(True)

# SIGNUP STEP
step_signup = context.addStep("signup", "Petition Action Form")
step_signup.setStep_layout("twocolumn")
step_signup.setStep_submitlabel("join")
step_signup.setStep_validators("stepvalidate_standard")
step_signup.setStep_tasks(("steptask_storeform","steptask_storetrackinginfo","steptask_to_recentlisting","steptask_sendthankyouemail"))
step_signup.build_layout(LAYOUTS["basic_signup"])
   
# ADDRESS COLLECTION STEP
step_address = context.addStep("extra", "Optin / Address form")
step_address.setStep_submitlabel("update")
step_address.setStep_validators("stepvalidate_standard")
step_address.setStep_tasks("steptask_storeform")
step_address.setStep_layout("addr_onecol")
step_address.build_layout(LAYOUTS["smart_optin_address"])
   
# THANK-YOU STEP
step_thanks = context.addStep("thankyou", "Thank-you page")
step_thanks.setStep_layout("onecolumn")
step_thanks.build_layout(LAYOUTS["thanks_page"])

