## Script (Python) "countriesForLanguage"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=languagecode=None
##title= languagecode -> 'most probable' list of countries or just one
##

from Products.CMFCore.utils import getToolByName

# Data structure to offer multiple locations when "single-precision" language setting is used

lcdata = {
   "en":"uk",
   "pt":"pt",
   "es":"es",
   "gb":"uk",
   "ar":"sa"
}

lc = context.REQUEST["HTTP_ACCEPT_LANGUAGE"].split(',')[0]

# Dual-precision header
if len(lc)==5:
   lc=lc[-2:]
else:
   lc=lc[:2]

if lc in lcdata:
   return lcdata[lc]
else:
   return lc
