## Script (Python) "localizedCountryName"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=countrycode
##title= countrycode -> countryname
##

from Products.CMFCore.utils import getToolByName

propstool = getToolByName(context,"portal_properties")
props = propstool["country_lists"]

translated_to = context.REQUEST.get("LANGUAGE")

if not translated_to or not hasattr(props,translated_to):
   try:
      langtool = getToolByName(context, "portal_languages")
      translated_to = langtool.getDefaultLanguage()
   except:
      translated_to = propstool["site_properties"].default_language

countrylist = getattr(props,translated_to,"")

for countryline in countrylist:
   if countrycode in countryline:
      countrycode, countryname = countryline.split('|')
      return countryname.strip()

return ""
