from Products.PloneTestCase import PloneTestCase
 	
PloneTestCase.installProduct('ATSchemaEditorNG')
PloneTestCase.installProduct('ATDataMerge')
PloneTestCase.installProduct('compatible')
PloneTestCase.installProduct('eCampaigning')
PloneTestCase.installProduct('BTreeFolder2')

PloneTestCase.setupPloneSite(products=('ATSchemaEditorNG', 'ATDataMerge', 'compatible','eCampaigning'))


class testCreateContent(PloneTestCase.PloneTestCase):

   def testCreateItems(self):
      self.folder.invokeFactory('Campaign Action', 'test_action')
      action = self.folder.test_action
      action.invokeFactory('Action Message Template', 'test_action_message_template')
      action.invokeFactory('Thank You Page Template', 'test_action_thankspage_template')
      action.invokeFactory('Thank You Email Template', 'test_action_thanksemail_template')
      
      action.invokeFactory('Organization Target', 'test_organization_target')
      action.invokeFactory('Person Target', 'test_person_target')

      action.invokeFactory('Action Edition', 'test_action_edition')

      #assert(hasattr(action, "test_action_edition"))
      #edition = getattr(action, "test_action_edition")
      #self.assertEqual(edition.getParentaction().getId(), "test_action")
      #self.assertEqual(edition.getMessagetemplate().getId(), "test_action_message_template")

   def testHookup(self):
      edition = self.folder.test_action.test_action_edition
      self.assertEqual(edition.getParentaction().getId(), "test_action")
      self.assertEqual(edition.getMessagetemplate().getId(), "test_action_message_template")


def test_suite():
   from unittest import TestSuite, makeSuite
   suite = TestSuite()
   suite.addTest(makeSuite(testCreateContent))
   return suite
