## Script (Python) "postRecord"
##bind container=container
##bind context=context
##bind namespace=
##bind subpath=traverse_subpath
##parameters=
##title=
##

"""

REQUIRED paremeters:

 1) nexturl - the URL to redirect the browser to

AVAILABLE parameters:

 1) givenname (text)
 2) familyname (text)
 3) country (country code)
 4) anonymous ("True" | "False")
 5) receive_updates ("True" | "False")
 6) messagesubject (text)
 7) message (text)
 8) name_df (text) - a decoy field to catch form spam scripts

"""

from Products.CMFCore.utils import getToolByName

REQUEST=context.REQUEST
form = REQUEST.form

# How to privatize the action record
PRIVATIZEACTION = "hide"
RECORDWORKFLOW = "confidential_workflow"

type_name = "Action Record"

textfields = ("givenname","familyname","emailaddress", "country","messagesubject","message","name_df")
checkboxes = ("anonymous","receive_updates")


id=context.generateUniqueId(type_name)

new_id = context.invokeFactory(id=id, type_name=type_name)
o=getattr(context, id, None)

if o is None:
    raise Exception

for f in textfields:
   if f in form:
      getattr(o,"set%s%s" % (f[0].upper(),f[1:]))(form[f])

for f in checkboxes:
   if f in form:
      getattr(o,"set%s%s" % (f[0].upper(),f[1:]))(True)

# origin & entry
session = context.REQUEST["SESSION"]
try:
   o.setOrigin_url(session['origin_url'])
   o.setEntry_url(session['entry_url'])
except Exception, e:
   pass

# Privatize the record
tool= getToolByName(context,"portal_workflow")
result=tool.doActionFor(o,PRIVATIZEACTION, wf_id=RECORDWORKFLOW, comment='')

address = "%s %s <%s>" % (form["givenname"],form["familyname"],form["emailaddress"])
context.sendThankyouEmail(address, form["messagesubject"], form["message"])

# URL encoded (test script) request results in string val for nexturl
#REQUEST["RESPONSE"].redirect(form["nexturl"])

# Default HTML form encoding(?) results in a tuple!
REQUEST["RESPONSE"].redirect(form["nexturl"][1])
