## Script (Python) "PopulatorTool_demoCampaign"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title= TTW demo campaign creation definition
##

return [
   {
     'id':'campaign',
     'portal_type':'Campaign Action',
     'attrs':{'title':'action with a petition and an e-letter'},
     'subitems':[
         {
             'id':'letter',
             'portal_type':'e-Message Action Edition',
             'attrs':{'title':'e-Letter'}
         },
         
         {
             'id':'petition',
             'portal_type':'e-Petition Action Edition',
             'attrs':{'title':'e-Petition'}
         },
         
         {
            'id':'persontarget',
            'portal_type':'Person Target',
            'attrs':{
              'description':'Individual target for an action',
              'givenname':'Target',
              'familyname':'person',
            }
         },
         
         {
            'id':'organizationtarget',
            'portal_type':'Organization Target',
            'attrs':{
               'title':'Target organization',
               'description': "Organizational target for an action"
            }
         },
         
         {
            'id':'thank-you-email',
            'portal_type':'Thank You Email Template',
            'attrs':{'title':'Thank-you email'}
         },
         
         {
            'id':'thank-you-page',
            'portal_type':'Thank You Page Template',
            'attrs':{'title':'Thank-you page'}
         },

         {
            'id':'actionmessage',
            'portal_type':'Action Message Template',
            'attrs':{'title':'Message template for the Action'}
         },

      ]
   }
]
