## Script (Python) "configure_simple_petition"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title= configure action as a Simple e-Petition
##

from Products.eCampaigning.config import LAYOUTS

# EDITION CONFIGURATION
context.setAction_message_modifiable(False)
context.setThankyouemail_includemessage(True)

# SIGNUP STEP
step_signup = context.addStep("signup", "Petition Action Form")
step_signup.setStep_layout("twocolumn")
step_signup.setStep_submitlabel("join")
step_signup.setStep_validators("stepvalidate_standard")
step_signup.setStep_tasks(("steptask_storeform","steptask_storetrackinginfo","steptask_to_recentlisting","steptask_sendthankyouemail"))
step_signup.build_layout(LAYOUTS["basic_signup"]) 
     
# THANK-YOU STEP
step_thanks = context.addStep("thankyou", "Thank-you page")
step_thanks.setStep_layout("onecolumn")
step_thanks.build_layout(LAYOUTS["thanks_page"])
