## Script (Python) "count.js"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=get signup count if over the threshold
##

threshold = context.getAction_count_threshold()
count = context.getRecordCount()

scriptcontent = ""

if count > threshold:
   scriptcontent = """
   function showcounter (){
      container = document.getElementById('counter');
      container.innerHTML = "%s";
   };
   """ % count

else:
   scriptcontent = """
   function showcounter (){
      // the count is less than %s, not showing
   };
   """ % threshold

return scriptcontent
