## Script (Python) "prepopulate_action_edition"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title= Pre-populate Action Edition
##


for t in ("Action Message Template", "Thank You Page Template", "Thank You Email Template"):
   default_id = "default-" + t.lower().replace(' ', '-')
   context.createObject(type_name=t, id=default_id)
   obj = getattr(context, default_id)
   obj.setTitle("" + t)
   obj.setDescription("This is the default %s content and needs customising." % t)
   obj.reindexObject()

# set placeholder content
getattr(context, "default-action-message-template").setText("The Action Message goes here. (Edit by selecting 'Action Message Template' from the 'overview' page of an Action Edition.  From an 'Action Step', select the 'edit edition' tab first.)")
getattr(context, "default-thank-you-page-template").setText("The Thank You page content goes here. (Edit by selecting 'Thank You Page Template' from the 'overview' page of an Action Edition.  From an 'Action Step', select the 'edit edition' tab first.)")
getattr(context, "default-thank-you-email-template").setText("The Thank You email content goes here. (Edit by selecting 'Thank You Email Template' from the 'overview' page of an Action Edition.  From an 'Action Step', select the 'edit edition' tab first.)")

#  by default, set target to user
context.createObject(type_name="Person Target", id="default-person-target")
target = getattr(context, "default-person-target")
user = context.portal_membership.getAuthenticatedMember()
useremail = user.getProperty("email")
target.setEmailaddress(useremail)
target.setGivenname("Blank")
target.setFamilyname("Target")
target.reindexObject()
   
# hook up content
context.hookupDefaultContent()
#context.setMessagetemplate(getattr(context, "default-action-message-template").UID())
#context.setThankyouemail(getattr(context, "default-thank-you-email-template").UID())
#context.setThankyoupage(getattr(context, "default-thank-you-page-template").UID())
#context.setTargets((getattr(context, "default-person-target").UID(),))

context.REQUEST.RESPONSE.redirect(context.absolute_url() + "/edit")
