## Controller Python Script "steptask_to_recentlisting"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=state
##title=Edit content
##

from Products.CMFCore.utils import getToolByName

request = context.REQUEST
session = request.SESSION

record = context.restrictedTraverse(session["record_path"])
try:
   props = getToolByName(context, "portal_properties")["ecampaigning_properties"]
   catalog_id = props.actionrecord_catalog
   catalog = getattr(context, catalog_id)
except:
   return state # feature not supported on 2.1

if len(catalog) > props.recent_actions_count:
   oldest = catalog(sort_on="getDate", sort_limit=1)[0]
   oldest_id = catalog.getpath(oldest.getRID())
   catalog.uncatalog_object(oldest_id)
catalog.catalog_object(record)

return state
